{% extends 'todo/base.html' %}
{% load static %}

{% block content %}
    {% if not xhr %}
    <h1 style="text-align: center">
        YATDLM - {{ page_title }}
    </h1>

    <hr>
    <form style="max-width: 50em; margin: auto;" id="new_list_form">
        <h2>Ajouter une nouvelle liste :</h2>
        <label for="new_list_title">Nom :</label>
        <input class="marginb-normal fullwidth" type="text" id="new_list_title">
        <label for="new_list_description">Description :</label>
        <textarea class="marginb-normal fullwidth" id="new_list_description"></textarea>
        <div class="marginb-normal flexdiv">
            <div class="flex1" style="margin-right: 10px">
                <label for="new_list_due_date">Date de fin :</label>
                <input class="fullwidth" id="new_list_due_date" type="text">
            </div>
            <div class="flex1" style="margin-left: 10px">
                <label for="new_list_privacy">Visibilité :</label>
                <select class="fullwidth" id="new_list_privacy">
                    <option value="True">Publique</option>
                    <option value="False">Privée</option>
                </select>
            </div>
        </div>
        <button class="marginb-normal pure-button" type="button" onclick="add_list('/todo/lists/add', 'lists_container');">Ajouter une liste</button>
    </form>
    <hr>
    {% endif %}

    <div class="margint-normal" id="lists_container">
    {% if lists %}
        <table class="pure-table pure-table-bordered" style="max-width: 90em; margin: auto;">
            <thead>
                <tr>
                    <th>Liste</th>
                    <th>Tâches ouvertes</th>
                    <th>Complétion</th>
                    <th>Date de création</th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                {% for list in lists %}
                    <tr>
                        <td>
                            <a href="/todo/lists/{{ context|get_value:list|get_value:'id' }}">
                                {{ context|get_value:list|get_value:'title' }}
                            </a>
                        </td>
                        <td>{{ context|get_value:list|get_value:'opened_tasks' }}</td>
                        <td>{{ context|get_value:list|get_value:'completion' }} %</td>
                        <td>{{ context|get_value:list|get_value:'creation_date'|date:"d/m/Y à H:i" }}</td>
                        <td><img class="pointer icon" src="{% static 'img/icons/garbage_red.svg' %}" alt="Delete" onclick="delete_list(`/todo/lists/delete/{{ context|get_value:list|get_value:'id' }}`, '{{ list }}', true, 'lists_container');"></td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
        {% endif %}
    </div>
{% endblock %}